local orig = LocalizationManager.text
function LocalizationManager:text(...)
	local text = orig(self, ...)
	--Punctuation
	text=string.gsub(text,"，",", ")
	text=string.gsub(text,"。",". ")
	text=string.gsub(text,"、",", ")
	text=string.gsub(text,"；","; ")
	text=string.gsub(text,"：",": ")
	text=string.gsub(text,"！","! ")
	text=string.gsub(text,"？","? ")
	text=string.gsub(text,"（","( ")
	text=string.gsub(text,"）"," )")
	
	--Stats
	text=string.gsub(text,"疾跑","奔跑")
	
	--Countdown/Kelly
	text=string.gsub(text,"发射井","发射仓")
	text=string.gsub(text,"火箭","导弹")
	text=string.gsub(text,"阀门","活门")
	text=string.gsub(text,"上校","长官")
	text=string.gsub(text,"霍夫","和夫")
	text=string.gsub(text,"枚","颗")
	text=string.gsub(text,"瞬间","立刻")
	text=string.gsub(text,"甚至","以至")
	text=string.gsub(text,"沃纳·巴赫曼","沃纳·巴和漫")
	text=string.gsub(text,"乌拉","啊啊")
	text=string.gsub(text,"华尔兹舞","舞")
	
	--Hunters
	text=string.gsub(text,"臭名昭著","臭名远扬")
	
	--Bunker Busters
	text=string.gsub(text,"著名","有名")
	
	--Intel
	text=string.gsub(text,"军衔","军阶")
	
	--Weapons
	text=string.gsub(text,"镀金","黄金")
	
	--Skill Desc
	text=string.gsub(text,"依赖","使用")
	text=string.gsub(text,"蓄力","充能")
	text=string.gsub(text,"恐慌","恐惧效果")
	text=string.gsub(text,"宽限期","容错期")
	text=string.gsub(text,"犹豫","慢人一步")
	text=string.gsub(text,"肌肉记忆","条件反射")
	text=string.gsub(text,"疼痛","苦痛")
	text=string.gsub(text,"疼","痛")
	text=string.gsub(text,"揍","打")
	text=string.gsub(text,"食我铁臀","欧拉")
	text=string.gsub(text,"蝉联","连续")
	text=string.gsub(text,"冠军","第一名")
	text=string.gsub(text,"螃蟹","爬虫")
	text=string.gsub(text,"行李","包裹")
	text=string.gsub(text,"触发","生效")
	text=string.gsub(text,"阀值","生效值")
	text=string.gsub(text,"锵锵","就像这样")
	text=string.gsub(text,"弹簧","")
	text=string.gsub(text,"祖父","祖宗")
	text=string.gsub(text,"古老","老")
	
	--Skill Name
	text=string.gsub(text,"百折不挠","天鹅绝唱")
	
	--Halloween Event
	text=string.gsub(text,"呕","yue")
	text=string.gsub(text,"腹痛","躯干痛")
	text=string.gsub(text,"蛀牙","牙痛")
	text=string.gsub(text,"失忆症状","大脑停转")
	text=string.gsub(text,"恐水症","恐水")
	text=string.gsub(text,"皮肤痒","皮痛")
	
	--Safehouse Upgrade
	text=string.gsub(text,"锈迹斑斑","脏脏")
	text=string.gsub(text,"自律","努力")
	text=string.gsub(text,"胡桃","")
	
	return text
end